Export an exception list

Base URL
https://{kibana_url}
  • POST /api/exception_lists/_export
  • POST /s/{space_id}/api/exception_lists/_export
Auth

Export an exception list and its associated items to an NDJSON file.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

id string · format: nonempty · min length: 1 required

Exception list's identifier

list_id string · format: nonempty · min length: 1 required

Exception list's human identifier

namespace_type enum required
Values: agnostic single
include_expired_exceptions enum · default: true required

Determines whether to include expired exceptions in the exported list

Values: true false

Responses

Successful response

application/ndjson

Response Type: string · format: binary

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

Exception list not found response

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}